%define upstream_name Horde_Service_Facebook
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.2
Release:     	%mkrel 1
Summary:    	Horde Facebook client
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Http <= 2.0.0 
Requires:	php-pear-Horde_Translation <= 2.0.0
Requires:	php-pear-Horde_Support <= 2.0.0
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Http = 2.0.0
Conflicts:	php-pear-Horde_Translation = 2.0.0
Conflicts:	php-pear-Horde_Support = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Service_Facebook


%description
This package provides client libraries for the Facebook REST API.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Service_Facebook.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Service_Facebook.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Service_Facebook
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Service_Facebook/*
%{peardir}/*
%{xmldir}/Horde_Service_Facebook.xml


%changelog

* Fri Dec 30 2011 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 189101
- upgrade to 1.1.2

* Fri Dec 30 2011 spuhler <spuhler> 1.1.1-3.mga2
+ Revision: 188934
- correcte Conflicts:	php-pear-Horde_Translation  <= 2.0.0 to =2.0.0

* Tue Nov 08 2011 spuhler <spuhler> 1.1.1-2.mga2
+ Revision: 165224
- changed Requires: Horde_Translation <= 2.0.0  php-pear-Horde_Translation <= 2.0.0
  changed Conflicts: Horde_Translation <= 2.0.0 to php-pear-Horde_Translation <= 2.0.0

* Mon Nov 07 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 164686
- upgrade to 1.1.1

* Sat Nov 05 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 163906
- imported package php-pear-Horde_Service_Facebook

